AsymmetricKeyParameter (Bouncy Castle Library 1.85 API Specification)
Date: 2026-07-12

org.bouncycastle.crypto.params

## Class AsymmetricKeyParameter

- java.lang.Object
- - org.bouncycastle.crypto.params.AsymmetricKeyParameter

- All Implemented Interfaces:
    CipherParameters
  Direct Known Subclasses:
    AIMerKeyParameters, BLSKeyParameters, CMCEKeyParameters, CMCEKeyParameters, CramerShoupKeyParameters, DHKeyParameters, DilithiumKeyParameters, DSAKeyParameters, ECCSIPrivateKeyParameters, ECCSIPublicKeyParameters, ECKeyParameters, Ed25519PrivateKeyParameters, Ed25519PublicKeyParameters, Ed448PrivateKeyParameters, Ed448PublicKeyParameters, ElGamalKeyParameters, FaestPrivateKeyParameters, FaestPublicKeyParameters, FalconKeyParameters, FrodoKEMKeyParameters, FrodoKeyParameters, GOST3410KeyParameters, HAETAEKeyParameters, HawkKeyParameters, HQCKeyParameters, LMSKeyParameters, MayoKeyParameters, MLDSAKeyParameters, MLDSAKeyParameters, MLKEMKeyParameters, MLKEMKeyParameters, MQOMKeyParameters, NaccacheSternKeyParameters, NHPrivateKeyParameters, NHPublicKeyParameters, NTRUKeyParameters, NTRULPRimeKeyParameters, NTRUPlusKeyParameters, QRUOVKeyParameters, RSAKeyParameters, SABERKeyParameters, SAKKEPrivateKeyParameters, SAKKEPublicKeyParameters, SDitHPrivateKeyParameters, SDitHPublicKeyParameters, SLHDSAKeyParameters, SLHDSAKeyParameters, SnovaPrivateKeyParameters, SnovaPublicKeyParameters, SNTRUPrimeKeyParameters, SPHINCSKeyParameters, SQIsignPrivateKeyParameters, SQIsignPublicKeyParameters, UOVKeyParameters, X25519PrivateKeyParameters, X25519PublicKeyParameters, X448PrivateKeyParameters, X448PublicKeyParameters, XMSSKeyParameters, XMSSMTKeyParameters, XWingKeyParameters

      public class AsymmetricKeyParameter
      extends java.lang.Object
      implements CipherParameters

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AsymmetricKeyParameter(boolean privateKey)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isPrivate()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AsymmetricKeyParameter

          public AsymmetricKeyParameter(boolean privateKey)

  - ### Method Detail

    - #### isPrivate

          public boolean isPrivate()